Security hole - please upgrade to 0.9.4

Version V1 V2  
1 by Malcolm Box View Revision